Package com.explodingpixels.macwidgets.plaf

## Class HudRadioButtonUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ButtonUI
    - - javax.swing.plaf.basic.BasicButtonUI
      - - javax.swing.plaf.basic.BasicToggleButtonUI
        - - javax.swing.plaf.basic.BasicRadioButtonUI
          - - com.explodingpixels.macwidgets.plaf.HudRadioButtonUI

    public class HudRadioButtonUI
    extends javax.swing.plaf.basic.BasicRadioButtonUI

Creates a Heads Up Display (HUD) style radio button, similar to that seen in various iApps (e.g. iPhoto).

### Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicRadioButtonUI

`icon`

### Fields inherited from class javax.swing.plaf.basic.BasicButtonUI

`defaultTextIconGap, defaultTextShiftOffset`

### Constructor Summary

Constructors
`HudRadioButtonUI()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `installDefaults​(javax.swing.AbstractButton b)`
`void` `paint​(java.awt.Graphics g, javax.swing.JComponent c)`
`protected void` `paintText​(java.awt.Graphics g, javax.swing.AbstractButton button, java.awt.Rectangle textRect, java.lang.String text)`

### Methods inherited from class javax.swing.plaf.basic.BasicRadioButtonUI

`createUI, getDefaultIcon, getPreferredSize, getPropertyPrefix, installListeners, paintFocus, uninstallDefaults, uninstallListeners`

### Methods inherited from class javax.swing.plaf.basic.BasicToggleButtonUI

`getTextShiftOffset, paintIcon`

### Methods inherited from class javax.swing.plaf.basic.BasicButtonUI

`clearTextShiftOffset, createButtonListener, getBaseline, getBaselineResizeBehavior, getDefaultTextIconGap, getMaximumSize, getMinimumSize, installKeyboardActions, installUI, paintButtonPressed, paintFocus, paintIcon, paintText, setTextShiftOffset, uninstallKeyboardActions, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HudRadioButtonUI

    public HudRadioButtonUI()

### Method Detail

#### installDefaults

    protected void installDefaults​(javax.swing.AbstractButton b)

Overrides:
  `installDefaults` in class `javax.swing.plaf.basic.BasicRadioButtonUI`

#### paint

    public void paint​(java.awt.Graphics g,
                      javax.swing.JComponent c)

Overrides:
  `paint` in class `javax.swing.plaf.basic.BasicRadioButtonUI`

#### paintText

    protected void paintText​(java.awt.Graphics g,
                             javax.swing.AbstractButton button,
                             java.awt.Rectangle textRect,
                             java.lang.String text)

Overrides:
  `paintText` in class `javax.swing.plaf.basic.BasicButtonUI`